We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8759 - Dashboard redesign
Dashboard redesign
Status: NEW
Product: OJS
Classification: Unclassified
Component: User Interface
3.0b
All All
: P3 normal
Assigned To: beghelli
: 7138 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-15 14:08 PDT by Alec Smecher
Modified: 2015-05-12 17:13 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2014-05-15 14:08:46 PDT
See http://pkp.sfu.ca/wiki/index.php?title=OJS_Dashboard for design work.
Comment 1 Alec Smecher 2014-06-06 15:13:03 PDT
Pull request opened (not merged):
Move tasks grid to site header
https://github.com/pkp/pkp-lib/pull/100
Comment 2 Alec Smecher 2014-06-06 15:14:02 PDT
Pull request opened (not merged):
Move tasks grid to site header
https://github.com/pkp/omp/pull/22
Comment 3 Alec Smecher 2014-06-06 15:14:12 PDT
Jason, over to you for review.
Comment 4 Alec Smecher 2014-06-10 11:53:03 PDT
Pull request synchronize (not merged):
Move tasks grid to site header
https://github.com/pkp/pkp-lib/pull/100
Comment 5 Alec Smecher 2014-06-12 12:08:02 PDT
Pull request synchronize (not merged):
Move tasks grid to site header
https://github.com/pkp/pkp-lib/pull/100
Comment 6 Alec Smecher 2014-06-12 13:00:02 PDT
Pull request synchronize (not merged):
Move tasks grid to site header
https://github.com/pkp/pkp-lib/pull/100
Comment 7 Alec Smecher 2014-06-13 03:57:03 PDT
Fix delete operatoin
https://github.com/pkp/pkp-lib/commit/4a3fcf0e4716eee3fe81fb8f5453ac395d5c19a0
Comment 8 Alec Smecher 2014-06-13 03:57:03 PDT
Code reuse improvements and cleanup
https://github.com/pkp/pkp-lib/commit/c4f05ab440acf8550d82a89a253b89b55d48bc9a
Comment 9 Alec Smecher 2014-06-13 03:57:03 PDT
Styling on tasks grid
https://github.com/pkp/pkp-lib/commit/54a83d962c8988f9ef60543d32069fc47e99424a
Comment 10 Alec Smecher 2014-06-13 03:58:07 PDT
Move tasks to the header
https://github.com/pkp/pkp-lib/commit/b2d8731340b6d617126691e2c6fb3e136f93edf8
Comment 11 Alec Smecher 2014-06-13 03:58:07 PDT
Prototype of separate tasks grid in header
https://github.com/pkp/pkp-lib/commit/57b094eb7d139c1fc5d6e5a34319528f3df7e950
Comment 12 Alec Smecher 2014-06-13 03:58:07 PDT
Permit anyone to view tasks list
https://github.com/pkp/pkp-lib/commit/433e2ef7234559aa57c94f6da4b4c03aa35b8931
Comment 13 Alec Smecher 2014-06-13 03:58:07 PDT
De-murkify behavior of setDateRead
https://github.com/pkp/pkp-lib/commit/256bfd11e5544d81f5809faa967fedcf7cb3d52b
Comment 14 Alec Smecher 2014-06-13 03:58:07 PDT
Return self-docs added
https://github.com/pkp/pkp-lib/commit/fd92eaac78c7e0b6e97b493b19a7979368c0152d
Comment 15 Alec Smecher 2014-06-13 03:58:08 PDT
Styling tweaks; actions move
https://github.com/pkp/pkp-lib/commit/d462b2dc9505af5d90863b8d823ff5e2ec3e26d1
Comment 16 Alec Smecher 2014-06-13 03:58:08 PDT
Pull request closed (merged):
Move tasks grid to site header
https://github.com/pkp/pkp-lib/pull/100
Comment 17 Alec Smecher 2014-06-13 03:58:08 PDT
Add context name to task; shorten task names
https://github.com/pkp/pkp-lib/commit/17e59fb0b7934c7486fa88e9cf85c1a15bb068da
Comment 18 Alec Smecher 2014-06-13 03:58:08 PDT
Make boldness depend on read/unread state
https://github.com/pkp/pkp-lib/commit/1b0a996c522919bd06cd69f4ef0984d7eaedfdf4
Comment 19 Alec Smecher 2014-06-13 03:58:08 PDT
Permit maintenance of selected notification set
https://github.com/pkp/pkp-lib/commit/3540d3018cfb4902512265efd8d6a278a0f05b12
Comment 20 Alec Smecher 2014-06-13 03:58:08 PDT
Simplify getTemplateVarsFromRowColumn
https://github.com/pkp/pkp-lib/commit/a9557077cfdb6975db322f6bc99ae9f46f67f178
Comment 21 Alec Smecher 2014-06-13 03:58:08 PDT
Tweaking of tasks grid; actions
https://github.com/pkp/pkp-lib/commit/14a30baf042f474d33a84081b9c7cf953aedb967
Comment 22 Alec Smecher 2014-06-13 08:37:03 PDT
Submodule commit; new handler
https://github.com/pkp/omp/commit/854dc4efffc4df70673a9f7e5694c36105586399
Comment 23 Alec Smecher 2014-06-13 08:38:02 PDT
Submodule commit; new handler
https://github.com/pkp/ojs/commit/88f1cbb7a21d0cd422fad56145ad3e38d9cae5ec
Comment 24 Alec Smecher 2014-06-13 08:38:02 PDT
Pull request closed (not merged):
Move tasks grid to site header
https://github.com/pkp/omp/pull/22
Comment 25 Alec Smecher 2014-06-13 08:39:10 PDT
OK, the "move tasks to header" aspect of this is finished and merged. (All the above cruft relates to this.) Returning to pkp-support pending the rest of the dashboard redesign work.
Comment 26 Alec Smecher 2014-06-13 10:25:02 PDT
Javascript linting cleanup
https://github.com/pkp/pkp-lib/commit/2f847e95baffef882d3c9053ad61a5957886ed84
Comment 27 Alec Smecher 2014-06-13 10:26:02 PDT
Submodule commit
https://github.com/pkp/ojs/commit/9517601ab35041a14231099ba9e220c9cf559e2e
Comment 28 Alec Smecher 2014-06-13 10:26:02 PDT
Submodule commit
https://github.com/pkp/omp/commit/c8d437da4e64acddb5523c0474a9899cea68050e
Comment 29 Alec Smecher 2014-06-16 14:37:02 PDT
Fix installer behavior
https://github.com/pkp/pkp-lib/commit/d145c306372bac8a2a632d36b85919839c875f47
Comment 30 Michael Thessel 2014-06-18 15:22:08 PDT
I'm getting some JS errors from this code. Its related to the newly introduced NotificationsGridHandler.js.

Error message in JS console:
Uncaught Error: Namespace "" for object"" is currently not supported!

Stack trace:
$.pkp.classes.Helper.resolveObjectName (Helper.js:219)
$.pkp.classes.Helper.objectFactory (Helper.js:181)
$.pkp.controllers.grid.GridHandler.initFeatures_ (GridHandler.js:865)
$.pkp.controllers.grid.GridHandler (GridHandler.js:39)
$.pkp.classes.ObjectProxy.parent (ObjectProxy.js:112)
$.pkp.controllers.grid.notifications.NotificationsGridHandler (NotificationsGridHandler.js:41)
$.pkp.classes.ObjectProxy.parent (ObjectProxy.js:112)
$.pkp.classes.Helper.getObjectProxyInstance.proxyConstructor (Helper.js:275)
$.pkp.classes.Helper.objectFactory (Helper.js:201)
(anonymous function) (jquery.pkp.js:37)
jQuery.extend.each (jquery.min.js:648)
jQuery.fn.jQuery.each (jquery.min.js:272)
$.fn.pkpHandler (jquery.pkp.js:31)
(anonymous function) (VM8044:3)
jQuery.fn.jQuery.ready (jquery.min.js:282)
jQuery.fn.jQuery.init (jquery.min.js:199)
jQuery (jquery.min.js:25)
(anonymous function) (VM8044:2)
jQuery.extend.globalEval (jquery.min.js:608)
evalScript (jquery.min.js:5224)
jQuery.extend.each (jquery.min.js:648)
jQuery.fn.extend.domManip (jquery.min.js:4980)
jQuery.fn.extend.append (jquery.min.js:4735)
jQuery.fn.extend.html (jquery.min.js:4883)
$.pkp.controllers.UrlInDivHandler.handleLoadedContent_ (UrlInDivHandler.js:83)
$.pkp.classes.Handler.callbackWrapper (Handler.js:268)
jQuery.extend.handleSuccess (jquery.min.js:6170)
jQuery.extend.ajax.xhr.onreadystatechange (jquery.min.js:6004)
Comment 31 Alec Smecher 2014-06-18 15:24:21 PDT
Michael, I think I've been seeing these pop up for a while, actually. Mind taking a quick crack at tracking it down?
Comment 32 beghelli 2014-06-19 06:55:46 PDT
(In reply to Alec Smecher from comment #31)
> Michael, I think I've been seeing these pop up for a while, actually. Mind
> taking a quick crack at tracking it down?

This is mine fault. It is a grid feature without JS handler, the selectable one. I will fix it.
Comment 33 Alec Smecher 2015-02-06 13:01:21 PST
Taking. Two pull requests needing review:
https://github.com/pkp/ojs/pull/419
https://github.com/pkp/pkp-lib/pull/320
Comment 34 Alec Smecher 2015-02-11 13:26:03 PST
*** Bug 7138 has been marked as a duplicate of this bug. ***
Comment 35 Alec Smecher 2015-02-11 13:49:04 PST
Sorry for the wait in the review, Bruno. I've posted comments -- in several places the comments apply to multiple places, but I've only noted them once. Back to you; when you're ready, please go ahead and port to a pull request for OMP as well, and I'll do a final review when that's done.
Comment 36 Alec Smecher 2015-02-20 10:50:05 PST
Are you still waiting for me on this one, Bruno?
Comment 37 beghelli 2015-02-20 10:51:34 PST
(In reply to Alec Smecher from comment #36)
> Are you still waiting for me on this one, Bruno?

No Alec, I am just trying to finish the ojs stats bugs first. Thanks.
Comment 38 Alec Smecher 2015-05-12 16:01:44 PDT
Bruno, can this entry be closed?
Comment 39 beghelli 2015-05-12 17:00:26 PDT
Alec, although we did implemented most of the aspects of the recommendation created by the UI group, it's still not a complete work. It lacks for example the number of grid items on each tab name, working in the context switcher to make it reload keeping the same page and tab, and other small tweaks.

Do you want me to crack those down into smaller bugs instead of keeping this general one opened?
Comment 40 Alec Smecher 2015-05-12 17:13:17 PDT
Yes, thanks, Bruno -- that would also get them moved into git issues rather than hanging out here.